> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of account details of the referred client

Retrieve the account details for a given client, possibly filtered by some criteria.


## OpenAPI

````yaml /openapi.json get /account-details
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /account-details:
    get:
      tags:
        - Account details
      summary: Get the list of account details of the referred client
      description: >
        Retrieve the account details of the client, possibly filtered by some
        criteria
      parameters:
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - name: client_id
          in: query
          description: ID of the client that owns the account details
          required: true
          schema:
            type: string
            minLength: 1
        - name: account_details_type
          in: query
          description: Filter by the type of the account details
          required: false
          schema:
            type: string
            enum:
              - dedicated
              - pooled
        - name: account_id
          in: query
          description: Filter by the unique ID of the account
          required: false
          schema:
            type: string
            minLength: 36
            maxLength: 36
        - name: country
          in: query
          description: Filter by the country of the account details (ISO Code 2)
          required: false
          schema:
            type: string
            minLength: 2
            maxLength: 2
            pattern: '[A-Z]{2}'
        - name: currency
          in: query
          required: false
          description: Filter by the currency of the account details
          schema:
            type: string
            minLength: 3
            maxLength: 3
            pattern: '[A-Z]{3}'
        - name: alias
          in: query
          required: false
          description: |-
            Filter by the user-friendly alias of the account details.
            Only dedicated accounts can be filtered by alias.
          schema:
            type: string
            minLength: 1
            maxLength: 50
        - name: page
          in: query
          description: Page number to retrieve
          required: false
          schema:
            type: integer
            minimum: 1
        - name: page_size
          in: query
          description: Maximum number of items to include in each page
          required: false
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Account details
          headers:
            x-total-count:
              description: Total number of available entries
              schema:
                type: integer
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAccountDetailsDomesticInternationalResponse
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: >-
            Could not complete action due to data constraints. Refer to error
            message for additional details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '429':
          description: Too many requests
components:
  schemas:
    GetAccountDetailsDomesticInternationalResponse:
      type: array
      items:
        $ref: '#/components/schemas/AccountDetailsDomesticInternationalResponse'
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    AccountDetailsDomesticInternationalResponse:
      type: object
      required:
        - account_id
        - account_details_id
        - account_details_type
        - country
        - currency
        - status
        - domestic
        - international
      properties:
        account_id:
          description: |-
            Unique ID of the account these details belong to.
            Can be null for pooled accounts.
          type: string
          format: uuid
          minLength: 36
          maxLength: 36
        account_details_id:
          description: Unique ID of the account details
          type: string
          format: uuid
          minLength: 36
          maxLength: 36
        account_details_type:
          description: Type of account details
          type: string
          enum:
            - dedicated
            - pooled
        alias:
          description: |-
            User-friendly alias for the account details.
            Only present (and mandatory) for dedicated accounts.
          type: string
          minLength: 1
          maxLength: 50
          nullable: true
        country:
          description: Country of the account details (ISO Code 2)
          example: GB
          type: string
          minLength: 2
          maxLength: 2
          pattern: '[A-Z]{2}'
          nullable: true
        currency:
          description: Currency of the account details
          example: GBP
          type: string
          minLength: 3
          maxLength: 3
          pattern: '[A-Z]{3}'
          nullable: true
        financial_institution_name:
          description: Name of the underlying financial institution
          type: string
          minLength: 1
          maxLength: 255
          nullable: true
        financial_institution_address:
          description: Address of the underlying financial institution
          type: string
          minLength: 1
          maxLength: 4000
          nullable: true
        account_holder_name:
          description: Name of the holder of the account details
          type: string
          minLength: 1
          maxLength: 1500
          nullable: true
        account_holder_address:
          description: Address of the holder of the account details
          type: string
          minLength: 0
          maxLength: 4000
          nullable: true
        primary:
          description: |-
            Primary (default) account.
            Only present (and mandatory) for dedicated accounts.
          type: boolean
        status:
          description: Status of the account details
          type: string
          enum:
            - pending
            - confirmed
            - failed
        created:
          description: Datetime of creation. Only on dedicated account details.
          type: string
          nullable: true
        modified:
          description: Datetime of last modification. Only on dedicated account details.
          type: string
          nullable: true
        domestic:
          allOf:
            - $ref: '#/components/schemas/DomesticInternationalAccountData'
          description: Domestic information of the account
          type: object
          nullable: true
        international:
          allOf:
            - $ref: '#/components/schemas/DomesticInternationalAccountData'
          description: International information of the account
          type: object
          nullable: true
    DomesticInternationalAccountData:
      type: object
      required:
        - account_number
        - bank_identifier
        - bank_identifier_type
        - account_number_type
      properties:
        account_number:
          description: Account number
          type: string
          minLength: 1
          maxLength: 50
        bank_identifier:
          description: Bank identifier
          type: string
          minLength: 1
          maxLength: 11
          pattern: ^[A-Z0-9]{1,11}$
        bank_identifier_type:
          description: Type of bank identifier
          example: USABA
          type: string
          minLength: 1
          maxLength: 5
          pattern: '[A-Z]{1,5}'
        account_number_type:
          description: Type of Account number
          type: string
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````